com.taosdata.jdbc

## Class TSDBConstants

- java.lang.Object
- - com.taosdata.jdbc.TSDBConstants

    public abstract class TSDBConstants
    extends Object

### Field Summary

Fields
`static int` `BIGINT_PRECISION`
`static int` `BOOLEAN_PRECISION`
`static boolean` `DEFAULT_BATCH_ERROR_IGNORE`
`static String` `DEFAULT_PRECISION`
`static int` `DOUBLE_PRECISION`
`static int` `DOUBLE_SCALE`
`static int` `FLOAT_PRECISION`
`static int` `FLOAT_SCALE`
`static int` `INT_PRECISION`
`static int` `JNI_CONNECTION_NULL`
`static int` `JNI_FETCH_END`
`static long` `JNI_NULL_POINTER`
`static int` `JNI_NUM_OF_FIELDS_0`
`static int` `JNI_OUT_OF_MEMORY`
`static int` `JNI_RESULT_SET_NULL`
`static int` `JNI_SQL_NULL`
`static int` `JNI_SUCCESS`
`static int` `JNI_TDENGINE_ERROR`
`static int` `maxFieldSize`
`static int` `SMALLINT_PRECISION`
`static int` `TIMESTAMP_MS_PRECISION`
`static int` `TIMESTAMP_US_PRECISION`
`static int` `TINYINT_PRECISION`
`static int` `TMQ_CONF_KEY_NULL`
`static int` `TMQ_CONF_NULL`
`static int` `TMQ_CONF_VALUE_NULL`
`static int` `TMQ_CONSUMER_CREATE_ERROR`
`static int` `TMQ_CONSUMER_NULL`
`static int` `TMQ_SUCCESS`
`static int` `TMQ_TOPIC_NAME_NULL`
`static int` `TMQ_TOPIC_NULL`
`static int` `TSDB_DATA_TYPE_BIGINT`
`static int` `TSDB_DATA_TYPE_BINARY`
`static int` `TSDB_DATA_TYPE_BOOL`
`static int` `TSDB_DATA_TYPE_DOUBLE`
`static int` `TSDB_DATA_TYPE_FLOAT`
`static int` `TSDB_DATA_TYPE_GEOMETRY`
`static int` `TSDB_DATA_TYPE_INT`
`static int` `TSDB_DATA_TYPE_JSON`
`static int` `TSDB_DATA_TYPE_NCHAR`
`static int` `TSDB_DATA_TYPE_NULL`
`static int` `TSDB_DATA_TYPE_SMALLINT`
`static int` `TSDB_DATA_TYPE_TIMESTAMP`
`static int` `TSDB_DATA_TYPE_TINYINT`
`static int` `TSDB_DATA_TYPE_UBIGINT`
`static int` `TSDB_DATA_TYPE_UINT`
`static int` `TSDB_DATA_TYPE_USMALLINT`
`static int` `TSDB_DATA_TYPE_UTINYINT` 系统增加新的无符号数据类型，分别是： unsigned tinyint， 数值范围：0-254, NULL 为255 unsigned smallint，数值范围： 0-65534， NULL 为65535 unsigned int，数值范围：0-4294967294，NULL 为4294967295u unsigned bigint，数值范围：0-18446744073709551614u，NULL 为18446744073709551615u。 example: create table tb(ts timestamp, a tinyint unsigned, b smallint unsigned, c int unsigned, d bigint unsigned);
`static int` `TSDB_DATA_TYPE_VARBINARY`
`static int` `TSDB_DATA_TYPE_VARCHAR`

### Constructor Summary

Constructors
Constructor and Description
`TSDBConstants()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `jdbcType2TaosTypeName(int jdbcType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JNI_NULL_POINTER

    public static final long JNI_NULL_POINTER

See Also:
  Constant Field Values

#### JNI_SUCCESS

    public static final int JNI_SUCCESS

See Also:
  Constant Field Values

#### JNI_TDENGINE_ERROR

    public static final int JNI_TDENGINE_ERROR

See Also:
  Constant Field Values

#### JNI_CONNECTION_NULL

    public static final int JNI_CONNECTION_NULL

See Also:
  Constant Field Values

#### JNI_RESULT_SET_NULL

    public static final int JNI_RESULT_SET_NULL

See Also:
  Constant Field Values

#### JNI_NUM_OF_FIELDS_0

    public static final int JNI_NUM_OF_FIELDS_0

See Also:
  Constant Field Values

#### JNI_SQL_NULL

    public static final int JNI_SQL_NULL

See Also:
  Constant Field Values

#### JNI_FETCH_END

    public static final int JNI_FETCH_END

See Also:
  Constant Field Values

#### JNI_OUT_OF_MEMORY

    public static final int JNI_OUT_OF_MEMORY

See Also:
  Constant Field Values

#### TMQ_SUCCESS

    public static final int TMQ_SUCCESS

See Also:
  Constant Field Values

#### TMQ_CONF_NULL

    public static final int TMQ_CONF_NULL

See Also:
  Constant Field Values

#### TMQ_CONF_KEY_NULL

    public static final int TMQ_CONF_KEY_NULL

See Also:
  Constant Field Values

#### TMQ_CONF_VALUE_NULL

    public static final int TMQ_CONF_VALUE_NULL

See Also:
  Constant Field Values

#### TMQ_TOPIC_NULL

    public static final int TMQ_TOPIC_NULL

See Also:
  Constant Field Values

#### TMQ_TOPIC_NAME_NULL

    public static final int TMQ_TOPIC_NAME_NULL

See Also:
  Constant Field Values

#### TMQ_CONSUMER_NULL

    public static final int TMQ_CONSUMER_NULL

See Also:
  Constant Field Values

#### TMQ_CONSUMER_CREATE_ERROR

    public static final int TMQ_CONSUMER_CREATE_ERROR

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_NULL

    public static final int TSDB_DATA_TYPE_NULL

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_BOOL

    public static final int TSDB_DATA_TYPE_BOOL

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_TINYINT

    public static final int TSDB_DATA_TYPE_TINYINT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_SMALLINT

    public static final int TSDB_DATA_TYPE_SMALLINT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_INT

    public static final int TSDB_DATA_TYPE_INT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_BIGINT

    public static final int TSDB_DATA_TYPE_BIGINT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_FLOAT

    public static final int TSDB_DATA_TYPE_FLOAT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_DOUBLE

    public static final int TSDB_DATA_TYPE_DOUBLE

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_VARCHAR

    public static final int TSDB_DATA_TYPE_VARCHAR

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_BINARY

    public static final int TSDB_DATA_TYPE_BINARY

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_TIMESTAMP

    public static final int TSDB_DATA_TYPE_TIMESTAMP

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_NCHAR

    public static final int TSDB_DATA_TYPE_NCHAR

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_UTINYINT

    public static final int TSDB_DATA_TYPE_UTINYINT

系统增加新的无符号数据类型，分别是： unsigned tinyint， 数值范围：0-254, NULL 为255 unsigned smallint，数值范围： 0-65534， NULL 为65535 unsigned int，数值范围：0-4294967294，NULL 为4294967295u unsigned bigint，数值范围：0-18446744073709551614u，NULL 为18446744073709551615u。 example: create table tb(ts timestamp, a tinyint unsigned, b smallint unsigned, c int unsigned, d bigint unsigned);

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_USMALLINT

    public static final int TSDB_DATA_TYPE_USMALLINT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_UINT

    public static final int TSDB_DATA_TYPE_UINT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_UBIGINT

    public static final int TSDB_DATA_TYPE_UBIGINT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_JSON

    public static final int TSDB_DATA_TYPE_JSON

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_VARBINARY

    public static final int TSDB_DATA_TYPE_VARBINARY

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_GEOMETRY

    public static final int TSDB_DATA_TYPE_GEOMETRY

See Also:
  Constant Field Values

#### maxFieldSize

    public static final int maxFieldSize

See Also:
  Constant Field Values

#### BOOLEAN_PRECISION

    public static final int BOOLEAN_PRECISION

See Also:
  Constant Field Values

#### TINYINT_PRECISION

    public static final int TINYINT_PRECISION

See Also:
  Constant Field Values

#### SMALLINT_PRECISION

    public static final int SMALLINT_PRECISION

See Also:
  Constant Field Values

#### INT_PRECISION

    public static final int INT_PRECISION

See Also:
  Constant Field Values

#### BIGINT_PRECISION

    public static final int BIGINT_PRECISION

See Also:
  Constant Field Values

#### FLOAT_PRECISION

    public static final int FLOAT_PRECISION

See Also:
  Constant Field Values

#### DOUBLE_PRECISION

    public static final int DOUBLE_PRECISION

See Also:
  Constant Field Values

#### TIMESTAMP_MS_PRECISION

    public static final int TIMESTAMP_MS_PRECISION

See Also:
  Constant Field Values

#### TIMESTAMP_US_PRECISION

    public static final int TIMESTAMP_US_PRECISION

See Also:
  Constant Field Values

#### FLOAT_SCALE

    public static final int FLOAT_SCALE

See Also:
  Constant Field Values

#### DOUBLE_SCALE

    public static final int DOUBLE_SCALE

See Also:
  Constant Field Values

#### DEFAULT_PRECISION

    public static final String DEFAULT_PRECISION

See Also:
  Constant Field Values

#### DEFAULT_BATCH_ERROR_IGNORE

    public static final boolean DEFAULT_BATCH_ERROR_IGNORE

See Also:
  Constant Field Values

### Constructor Detail

#### TSDBConstants

    public TSDBConstants()

### Method Detail

#### jdbcType2TaosTypeName

    public static String jdbcType2TaosTypeName(int jdbcType)
                                        throws SQLException

Throws:
  `SQLException`